# frozen_string_literal: true

require "pathname"

module Core
  module Define
    # [public]
    #
    class Location
      def initialize(path:, line:)
        @path = Pathname.new(path).freeze
        @line = line.to_i.freeze
      end

      # [public]
      #
      attr_reader :path

      # [public]
      #
      attr_reader :line
    end
  end
end
